devel/glade - The NetBSD Packages Collection

User interface builder for the GTK3+ toolkit

Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.
The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools.
In particular libglade can load the XML files and create the interfaces
at runtime. The DTD for the XML files is included with libglade, and is
also at http://glade.gnome.org/glade-2.0.dtd.
Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

Build dependencies

textproc/docbook-xsl pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers textproc/itstool textproc/libxslt devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake devel/gettext-tools lang/perl5 devel/pkgconf

Runtime dependencies

x11/gtk3 textproc/libxml2 graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/gtk3 textproc/libxml2 graphics/hicolor-icon-theme sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfglade-3.36.0nb2.tgz
NetBSD 8.0earmv7hfglade-3.36.0nb2.tgz
NetBSD 8.0i386glade-3.36.0nb1.tgz
NetBSD 8.0i386glade-3.36.0nb2.tgz
NetBSD 8.0i386glade-3.36.0nb2.tgz
NetBSD 8.0powerpcglade-3.36.0nb1.tgz
NetBSD 8.0powerpcglade-3.36.0nb2.tgz
NetBSD 8.0powerpcglade-3.36.0nb2.tgz
NetBSD 8.0x86_64glade-3.36.0nb1.tgz
NetBSD 8.0x86_64glade-3.36.0nb2.tgz
NetBSD 9.0aarch64glade-3.36.0nb2.tgz
NetBSD 9.0aarch64glade-3.36.0nb1.tgz
NetBSD 9.0aarch64glade-3.36.0nb2.tgz
NetBSD 9.0earmv6hfglade-3.36.0nb2.tgz
NetBSD 9.0earmv6hfglade-3.36.0nb1.tgz
NetBSD 9.0earmv6hfglade-3.36.0nb2.tgz
NetBSD 9.0earmv6hfglade-3.36.0nb2.tgz
NetBSD 9.0earmv7hfglade-3.36.0nb2.tgz
NetBSD 9.0earmv7hfglade-3.36.0nb1.tgz
NetBSD 9.0earmv7hfglade-3.36.0nb2.tgz
NetBSD 9.0earmv7hfglade-3.36.0nb2.tgz
NetBSD 9.0i386glade-3.36.0nb1.tgz
NetBSD 9.0i386glade-3.36.0nb2.tgz
NetBSD 9.0i386glade-3.36.0nb2.tgz
NetBSD 9.0mips64ebglade-3.36.0nb2.tgz
NetBSD 9.0mips64ebglade-3.36.0nb1.tgz
NetBSD 9.0mips64ebglade-3.36.0nb2.tgz
NetBSD 9.0powerpcglade-3.36.0nb2.tgz
NetBSD 9.0powerpcglade-3.36.0nb1.tgz
NetBSD 9.0sparc64glade-3.36.0nb2.tgz
NetBSD 9.0sparc64glade-3.22.1nb4.tgz
NetBSD 9.0sparc64glade-3.36.0nb1.tgz
NetBSD 9.0sparc64glade-3.36.0nb2.tgz
NetBSD 9.0sparcglade-3.36.0nb1.tgz
NetBSD 9.0x86_64glade-3.36.0nb2.tgz
NetBSD 9.0x86_64glade-3.36.0nb2.tgz
NetBSD 9.0x86_64glade-3.36.0nb2.tgz
NetBSD 9.0x86_64glade-3.36.0nb1.tgz
NetBSD 9.0x86_64glade-3.36.0nb2.tgz
NetBSD 9.0x86_64glade-3.36.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.